#!/usr/bin/make -f

PY2_PACKAGE_NAME=python-feed

# Run setup.py with the default python last so that the scripts use
# #!/usr/bin/python and not #!/usr/bin/python2.X.
PYDEFAULT  := $(shell pyversions -d)
PYVERS     := $(shell pyversions -r)
PYVERS     := $(filter-out $(PYDEFAULT),$(PYVERS)) python

override_dh_auto_build:
	set -xe; \
	for py in $(PYVERS); do \
		$$py setup.py build; \
	done

override_dh_auto_install:
	set -xe; \
	for py in $(PYVERS); do \
		$$py setup.py install --skip-build --root debian/$(PY2_PACKAGE_NAME) \
		--install-layout deb; \
	done

%:
	dh $@ --with=python2
